Package com.pixelmed.test

# Class TestCTScanType

java.lang.Object
junit.framework.Assert
junit.framework.TestCase
com.pixelmed.test.TestCTScanType

All Implemented Interfaces:
  `junit.framework.Test`

public class TestCTScanType extends junit.framework.TestCase

## Constructor Summary

Constructors
Constructor
Description
`TestCTScanType(String name)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`setUp()`
`static junit.framework.Test`
`suite()`
`protected void`
`tearDown()`
`void`
`TestCTScanType_Axial_Description()`
`void`
`TestCTScanType_Axial_Equality()`
`void`
`TestCTScanType_Free_Description()`
`void`
`TestCTScanType_Free_Equality()`
`void`
`TestCTScanType_Helical_Description()`
`void`
`TestCTScanType_Helical_Equality()`
`void`
`TestCTScanType_Localizer_Description()`
`void`
`TestCTScanType_Localizer_Equality()`
`void`
`TestCTScanType_Localizer_Helical_Inequality()`
`void`
`TestCTScanType_SelectFromCode()`
`void`
`TestCTScanType_SelectFromDescription()`
`void`
`TestCTScanType_Stationary_Description()`
`void`
`TestCTScanType_Stationary_Equality()`
`void`
`TestCTScanType_Unknown_Description()`
`void`
`TestCTScanType_Unknown_Equality()`

### Methods inherited from class junit.framework.TestCase

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TestCTScanType

public TestCTScanType(String name)

## Method Details

### suite

public static junit.framework.Test suite()

### setUp

protected void setUp()

Overrides:
  `setUp` in class `junit.framework.TestCase`

### tearDown

protected void tearDown()

Overrides:
  `tearDown` in class `junit.framework.TestCase`

### TestCTScanType_Localizer_Description

public void TestCTScanType_Localizer_Description()

### TestCTScanType_Helical_Description

public void TestCTScanType_Helical_Description()

### TestCTScanType_Axial_Description

public void TestCTScanType_Axial_Description()

### TestCTScanType_Stationary_Description

public void TestCTScanType_Stationary_Description()

### TestCTScanType_Free_Description

public void TestCTScanType_Free_Description()

### TestCTScanType_Unknown_Description

public void TestCTScanType_Unknown_Description()

### TestCTScanType_Localizer_Equality

public void TestCTScanType_Localizer_Equality() throws Exception

Throws:
  `Exception`

### TestCTScanType_Helical_Equality

public void TestCTScanType_Helical_Equality() throws Exception

Throws:
  `Exception`

### TestCTScanType_Axial_Equality

public void TestCTScanType_Axial_Equality() throws Exception

Throws:
  `Exception`

### TestCTScanType_Stationary_Equality

public void TestCTScanType_Stationary_Equality() throws Exception

Throws:
  `Exception`

### TestCTScanType_Free_Equality

public void TestCTScanType_Free_Equality() throws Exception

Throws:
  `Exception`

### TestCTScanType_Unknown_Equality

public void TestCTScanType_Unknown_Equality() throws Exception

Throws:
  `Exception`

### TestCTScanType_Localizer_Helical_Inequality

public void TestCTScanType_Localizer_Helical_Inequality() throws Exception

Throws:
  `Exception`

### TestCTScanType_SelectFromDescription

public void TestCTScanType_SelectFromDescription() throws Exception

Throws:
  `Exception`

### TestCTScanType_SelectFromCode

public void TestCTScanType_SelectFromCode() throws Exception

Throws:
  `Exception`